.c-formulaire {
  position: relative;
  z-index: 9;
  width: calc(100% - 2rem);
  background-color: $white;
  margin: -5rem auto 5rem auto;
  padding: 3rem 2rem;
  border-radius: 1rem;
  box-shadow: 0 1rem 3rem 0 rgba($black, 0.05);

  @include sm {
    width: 90%;
    padding: 4rem 3rem;
  }

  @include md {
    padding: 6rem;
  }

  @include lg {
    max-width: 113.2rem;
    width: 100%;
    margin: -7rem auto 10rem auto;
  }

  &__message {
    margin: 1rem 0 3rem;

    &__success, &__error {
      font-size: 1.9rem;
      padding: 1rem 2rem;
      color: $white;
      border-radius: .5rem;
    }
    
    &__success {
      background: $gradient;
    }

    &__error {
      background: rgb(255, 105, 105);
    }
  }

  &__container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2rem 0.5rem;
  }

  &__field {
    width: 100%;

    @include md {
      width: calc(50% - 0.5rem);
    }

    &--wide {
      width: 100%;
    }

    &__label {
      display: flex;
      flex-direction: column;

      &__text {
        display: inline-flex;
        margin-bottom: 0.5rem;
        cursor: pointer;
        color: $blue;
        text-transform: uppercase;
        font-size: 1.4rem;
      }

      input,
      textarea {
        padding: 1.5rem 2rem;
        border: 0.1rem solid rgba($blue, 0.1);
        font-family: $font-global;

        &::placeholder {
          color: rgba($black, 0.3)
        }

        &:focus,
        &:active {
          outline: 0;
          border: 0.1rem solid $blue;
        }
      }

      textarea {
        height: 20rem;
        resize: none;
      }
    }
  }

  &__button {
    margin: 0 auto;
  }
}